void printc(char val);
void printi(int val);

struct sample {
  unsigned int i0:4;
  unsigned int i1:4;
  unsigned int i2:8;
};

int main()
{
  struct sample s;
  struct sample *p;

  printi(sizeof(struct sample));
  printi(sizeof(s));

  p = &s;

  p->i0 = 1;
  p->i1 = 10;
  p->i2 = 200;

  printi(p->i0);
  printi(p->i1);
  printi(p->i2);

  return 0;
}
